def is_palindrome(word):
    # Entferne Leerzeichen und konvertiere in Kleinbuchstaben
    # word = word.replace(" ", "").lower()
    
    # Vergleiche das Wort mit seiner umgekehrten Version
    return word == word[::-1]

# Hauptprogramm
def main():
    word = input("Gib ein Wort ein: ")

    if is_palindrome(word):
        print(f'"{word}" ist ein Palindrom.')
    else:
        print(f'"{word}" ist kein Palindrom.')

if __name__ == "__main__":
    main()